---
title: "Status, assignee, tags, pin"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/conversations.update
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Status, assignee, tags, pin

Set a chat's status (open/waiting/done), assignee, tags or pinned flag.

Set a chat's status (open/waiting/done), assignee, tags or pinned flag.

## Overview

| Name | Value |
| --- | --- |
| Code | `conversations.update` |
| Scope needed | `chats.manage` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager`, `agent` |
| In the app | Inbox → chat info |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `conversationId` | `uuid` | Yes |   |
| `status` | `"open" \| "waiting" \| "done"` | No |   |
| `assigneeId` | `uuid` | No |   |
| `tags` | `text[]` | No |   |
| `pinned` | `true/false` | No |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/conversations.update \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"conversationId":"00000000-0000-0000-0000-000000000000"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "conversations.update"`. Tool name when listed: `conversations_update`.
